var util = require('util');

/**
 * 退出
 */
var JSCompiler = function() { 
  //
};

module.exports = JSCompiler;

/**
 * 处理服务请求
 * @param  {Object} req 服务请求对象
 * @param  {Object} res 服务响应对象
 */
JSCompiler.prototype.compile =  function(jsCode, filePath) {  
  
  var Module = module.constructor;
  var _module = new Module();
  _module.paths = module.paths;
  _module._compile(jsCode, filePath);
  return _module.exports;
  
};